XScreenSaver(1)

NAME
fireworkx - pyrotechnics simulation eye-candy.

SYNOPSIS
fireworkx [-display host:display.screen] [-visual visual] [-window] [-root] [-verbose] [-fade] [-nolight] [-shoot] [-delay number] [-maxlife number]

DESCRIPTION
Simulates fireworks (pyrotechnics); explodes better on faster machines.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-nolight
    Turns off light effect; runs faster.

-fade
    Cuts the extra blur; looks more realistic.

-shoot
    Shows shooting of the shells.

-delay number
    Delay between frames. In microseconds.

-maxlife number
    Maximum decay period for an explosion. (Default: 1200)

-verbose
    Listen what the program have to say, via console.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 1999-2004 by Rony B Chandran. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Written by Rony B Chandran <ronybc@asia.com> Added support for different display color modes by Jean-Pierre Demailly <Jean-Pierre.Demailly@ujf-grenoble.fr>

URL
http://www.ronybc.8k.com